Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Interface IValue

All Superinterfaces:
  java.io.Serializable

public interface IValue
extends java.io.Serializable

This class stores a property value.

Method Summary
`boolean` | `getBoolean()` Gets the value as a boolean.
`java.util.Date` | `getDate()` Gets the value as a `Date`.
`double` | `getDouble()` Gets the value as a double.
`float` | `getFloat()` Gets the value as a float.
`int` | `getInt()` Gets the value as an integer.
`InvalidValue` | `getInvalidValue()` Gets the `InvalidValue` instance.
`Key` | `getKey()` Gets the key associated with the value.
`long` | `getLong()` Gets the value as a long.
`java.lang.Object` | `getObject()` Gets the value as an object.
`short` | `getShort()` Gets the value as a short.
`java.lang.String` | `getString()` Gets the value as a string.
`boolean` | `isInvalid()` Gets if this Value is invalid.
`boolean` | `isUpdated()` Has this Value been updated?
`void` | `setValue(java.lang.Object value)` Sets the value.

Method Detail

### getKey

    public Key getKey()

  Gets the key associated with the value.

  Returns:
    the key

### getObject

    public java.lang.Object getObject()

  Gets the value as an object.

  Returns:
    the value (may be `null`)
  Throws:
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)

### getBoolean

    public boolean getBoolean()

  Gets the value as a boolean.

  Returns:
    the value
  Throws:
    `java.lang.ClassCastException` - if the value is not a `Boolean`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getInt

    public int getInt()

  Gets the value as an integer.

  Returns:
    the integer value
  Throws:
    `java.lang.ClassCastException` - if the value is not a Number.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getShort

    public short getShort()

  Gets the value as a short.

  Returns:
    the short value
  Throws:
    `java.lang.ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getLong

    public long getLong()

  Gets the value as a long.

  Returns:
    the long value
  Throws:
    `java.lang.ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getFloat

    public float getFloat()

  Gets the value as a float.

  Returns:
    the float value
  Throws:
    `java.lang.ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getDouble

    public double getDouble()

  Gets the value as a double.

  Returns:
    the double value
  Throws:
    `java.lang.ClassCastException` - if the value is not a `Number`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)
    `NullValueException` - if the value is valid but unexpectedly `null` (check the data type of the property you're trying to access)

### getDate

    public java.util.Date getDate()

  Gets the value as a `Date`.

  Returns:
    the date value (may be `null`)
  Throws:
    `java.lang.ClassCastException` - if the value is not a `Date`.
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)

### getString

    public java.lang.String getString()

  Gets the value as a string.

  Returns:
    the string value (may be `null`)
  Throws:
    `InvalidValueException` - if the value is not valid (could not be retrieved by the `Stub`)

### setValue

    public void setValue(java.lang.Object value)

  Sets the value.

  Parameters:
    `value` - the value
  Throws:
    `java.lang.ClassCastException` - if the value is the wrong type

### isUpdated

    public boolean isUpdated()

  Has this Value been updated?

  Returns:
    `true` if the value has been updated

### isInvalid

    public boolean isInvalid()

  Gets if this Value is invalid.

### getInvalidValue

    public InvalidValue getInvalidValue()

  Gets the `InvalidValue` instance.

  Returns:
    the invalid value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.